# IDrawTextFieldOptions | @vladmandic/face-api - v1.7.8
Documentation for @vladmandic/face-api - v1.7.8

# Interface IDrawTextFieldOptions

#### Hierarchy

- IDrawTextFieldOptions

#### Implemented by

- DrawTextFieldOptions

- Defined in draw/DrawTextField.ts:18

#####
Index

### Properties

anchorPosition?
backgroundColor?
fontColor?
fontSize?
fontStyle?
padding?

## Properties

### `Optional` anchorPosition

anchorPosition?: AnchorPosition

- Defined in draw/DrawTextField.ts:19

### `Optional` backgroundColor

backgroundColor?: string

- Defined in draw/DrawTextField.ts:20

### `Optional` fontColor

fontColor?: string

- Defined in draw/DrawTextField.ts:21

### `Optional` fontSize

fontSize?: number

- Defined in draw/DrawTextField.ts:22

### `Optional` fontStyle

fontStyle?: string

- Defined in draw/DrawTextField.ts:23

### `Optional` padding

padding?: number

- Defined in draw/DrawTextField.ts:24